ALUT-2.2.0.0: A binding for the OpenAL Utility Toolkit

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | Safe-Inferred

Sound.ALUT.Loaders

Description

# Documentation

type Phase = Float Source

type Duration = Float Source

data SoundDataSource a Source

Constructors

File FilePath |
FileImage (MemoryRegion a) |
HelloWorld |
Sine Frequency Phase Duration |
Square Frequency Phase Duration |
Sawtooth Frequency Phase Duration |
Impulse Frequency Phase Duration |
WhiteNoise Duration |

Instances

Eq (SoundDataSource a) |
Ord (SoundDataSource a) |
Show (SoundDataSource a) |

createBuffer :: SoundDataSource a -> IO Buffer Source

createBufferData :: SoundDataSource a -> IO (BufferData b)Source

bufferMIMETypes :: GettableStateVar [String]Source

bufferDataMIMETypes :: GettableStateVar [String]Source